Package org.acplt.oncrpc.apps.jrpcgen

# Enum Class JrpcgenOptions.ParseResult

java.lang.Object
java.lang.Enum<JrpcgenOptions.ParseResult>
org.acplt.oncrpc.apps.jrpcgen.JrpcgenOptions.ParseResult

All Implemented Interfaces:
  `Serializable`, `Comparable<JrpcgenOptions.ParseResult>`, `Constable`

Enclosing class:
  `JrpcgenOptions`

public static enum JrpcgenOptions.ParseResult extends Enum<JrpcgenOptions.ParseResult>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HELP_REQUESTED`
`INVALID`
`LAST`
`VALID`
`VERSION_REQUESTED`

## Method Summary

Modifier and Type
Method
Description
`static JrpcgenOptions.ParseResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JrpcgenOptions.ParseResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALID

public static final JrpcgenOptions.ParseResult VALID

### INVALID

public static final JrpcgenOptions.ParseResult INVALID

### HELP_REQUESTED

public static final JrpcgenOptions.ParseResult HELP_REQUESTED

### VERSION_REQUESTED

public static final JrpcgenOptions.ParseResult VERSION_REQUESTED

### LAST

public static final JrpcgenOptions.ParseResult LAST

## Method Details

### values

public static JrpcgenOptions.ParseResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JrpcgenOptions.ParseResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null